# desu (Data ESsential Utils)

[![PyPI version](https://img.shields.io/pypi/v/desu.svg)](https://pypi.org/project/desu/)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](LICENSE)
[![Python Versions](https://img.shields.io/pypi/pyversions/desu)](https://pypi.org/project/desu/)

**desu** (*Data Essential Utils*) is a lightweight Python package that provides essential utilities for data science, data engineering, and data analysis workflows.

---

## 🚀 Installation

You can install desu directly from PyPI:

```bash
pip install desu
```

## 📦 Features

* Easy-to-use utility functions for data projects.
* Simple API for extracting, transforming, and analyzing data.
* Modular and extensible design.
* Lightweight and dependency-friendly.

## 🛠️ Usage Example

```python
import desu

# Call a utility function 
desu.install_packages("pandas")

# Get package help info
desu.help()
```

## 🧑‍💻 Contributing

Contributions are welcome!
If you'd like to contribute, please fork the repository and submit a pull request.

1. Fork it 🚀
2. Create your feature branch (git checkout -b feature/awesome-feature)
3. Commit your changes (git commit -am 'Add awesome feature')
4. Push to the branch (git push origin feature/awesome-feature)
5. Open a Pull Request 🔥

## 📜 License

This project is licensed under the MIT License - see the LICENSE file for details.

## 🐍 Python Compatibility

| Python Version | Supported |
| -------------- | --------- |
| 3.8+           | ✅        |

## ⭐ Star this project

If you find this package useful, please consider giving it a star⭐ on GitHub.
